Bug 66147 - Switch FrameView to to new layout types
Summary: Switch FrameView to to new layout types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Emil A Eklund
URL:
Keywords:
Depends on:
Blocks: 63567
  Show dependency treegraph
 
Reported: 2011-08-12 10:48 PDT by Emil A Eklund
Modified: 2011-08-17 21:06 PDT (History)
4 users (show)

See Also:


Attachments
Patch (40.45 KB, patch)
2011-08-15 14:25 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch (40.45 KB, patch)
2011-08-15 16:30 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch (40.41 KB, patch)
2011-08-15 17:54 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch for landing (40.43 KB, patch)
2011-08-17 12:17 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emil A Eklund 2011-08-12 10:48:42 PDT
Convert *** to new layout abstraction.
Comment 1 Emil A Eklund 2011-08-15 14:25:19 PDT
Created attachment 103953 [details]
Patch
Comment 2 Emil A Eklund 2011-08-15 16:30:18 PDT
Created attachment 103976 [details]
Patch

Re-uploading for ews.
Comment 3 Emil A Eklund 2011-08-15 17:54:10 PDT
Created attachment 103988 [details]
Patch
Comment 4 Eric Seidel (no email) 2011-08-17 11:28:42 PDT
Comment on attachment 103988 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=103988&action=review

Please ping me over IRC if I don't notice your patches wihtin a couple hours of posting.  I'm not reading email that regularly at the moment as I'm focusing on codding.

> Source/WebCore/page/FrameView.cpp:2217
> +        return LayoutRect(LayoutPoint(0, 0), contentsSize());

The 0, 0 isn't needed.
Comment 5 Emil A Eklund 2011-08-17 12:17:34 PDT
Created attachment 104210 [details]
Patch for landing
Comment 6 WebKit Review Bot 2011-08-17 21:06:19 PDT
Comment on attachment 104210 [details]
Patch for landing

Clearing flags on attachment: 104210

Committed r93280: <http://trac.webkit.org/changeset/93280>
Comment 7 WebKit Review Bot 2011-08-17 21:06:23 PDT
All reviewed patches have been landed.  Closing bug.